vn.py量化社区
By Traders, For Traders.
Member
avatar
加入于:
帖子: 10
声望: 0

Traceback (most recent call last):
File "d:\vnpy\lib\site-packages\peewee.py", line 3026, in connect
self._state.set_connection(self._connect())
File "d:\vnpy\lib\site-packages\peewee.py", line 3924, in _connect
conn = mysql.connect(db=self.database, self.connect_params)
File "d:\vnpy\lib\site-packages\pymysql__init__.py", line 94, in Connect
return Connection(*args,
kwargs)
File "d:\vnpy\lib\site-packages\pymysql\connections.py", line 325, in init
self.connect()
File "d:\vnpy\lib\site-packages\pymysql\connections.py", line 599, in connect
self._request_authentication()
File "d:\vnpy\lib\site-packages\pymysql\connections.py", line 861, in _request_authentication
auth_packet = self._read_packet()
File "d:\vnpy\lib\site-packages\pymysql\connections.py", line 684, in _read_packet
packet.check_error()
File "d:\vnpy\lib\site-packages\pymysql\protocol.py", line 220, in check_error
err.raise_mysql_exception(self._data)
File "d:\vnpy\lib\site-packages\pymysql\err.py", line 109, in raise_mysql_exception
raise errorclass(errno, errval)
pymysql.err.OperationalError: (1045, "Access denied for user 'root'@'localhost' (using password: YES)")

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "d:\vnpy\lib\site-packages\vnstation\cli.py", line 90, in run_trader
module = importlib.import_module(d["module"])
File "d:\vnpy\lib\importlib__init.py", line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
File "<frozen importlib._bootstrap>", line 983, in _find_and_load
File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 728, in exec_module
File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
File "d:\vnpy\lib\site-packages\vnpy\app\cta_strategy\
init.py", line 9, in <module>
from .engine import CtaEngine
File "d:\vnpy\lib\site-packages\vnpy\app\cta_strategy\engine.py", line 39, in <module>
from vnpy.trader.database import database_manager
File "d:\vnpy\lib\site-packages\vnpy\trader\database\
init.py", line 12, in <module>
database_manager: "BaseDatabaseManager" = init(settings=settings)
File "d:\vnpy\lib\site-packages\vnpy\trader\database\initialize.py", line 10, in init
return init_sql(driver=driver, settings=settings)
File "d:\vnpy\lib\site-packages\vnpy\trader\database\initialize.py", line 17, in init_sql
_database_manager = init(driver, settings)
File "d:\vnpy\lib\site-packages\vnpy\trader\database\database_sql.py", line 34, in init
bar, tick = init_models(db, driver)
File "d:\vnpy\lib\site-packages\vnpy\trader\database\database_sql.py", line 323, in init_models
db.connect()
File "d:\vnpy\lib\site-packages\peewee.py", line 3029, in connect
self._initialize_connection(self._state.conn)
File "d:\vnpy\lib\site-packages\peewee.py", line 2864, in
exit
reraise(new_type, new_type(exc_value, *exc_args), traceback)
File "d:\vnpy\lib\site-packages\peewee.py", line 183, in reraise
raise value.with_traceback(tb)
File "d:\vnpy\lib\site-packages\peewee.py", line 3026, in connect
self._state.set_connection(self._connect())
File "d:\vnpy\lib\site-packages\peewee.py", line 3924, in _connect
conn = mysql.connect(db=self.database, **self.connect_params)
File "d:\vnpy\lib\site-packages\pymysql\
init.py", line 94, in Connect
return Connection(*args, **kwargs)
File "d:\vnpy\lib\site-packages\pymysql\connections.py", line 325, in
init__
self.connect()
File "d:\vnpy\lib\site-packages\pymysql\connections.py", line 599, in connect
self._request_authentication()
File "d:\vnpy\lib\site-packages\pymysql\connections.py", line 861, in _request_authentication
auth_packet = self._read_packet()
File "d:\vnpy\lib\site-packages\pymysql\connections.py", line 684, in _read_packet
packet.check_error()
File "d:\vnpy\lib\site-packages\pymysql\protocol.py", line 220, in check_error
err.raise_mysql_exception(self._data)
File "d:\vnpy\lib\site-packages\pymysql\err.py", line 109, in raise_mysql_exception
raise errorclass(errno, errval)
peewee.OperationalError: (1045, "Access denied for user 'root'@'localhost' (using password: YES)")

Member
avatar
加入于:
帖子: 10
声望: 0

我重新下载也不行 我现在进不了vnTRADER了,,,,,

Administrator
avatar
加入于:
帖子: 3566
声望: 189

请删掉C:\users\administrator.vntrader目录,然后重启

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3